Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class ConfigManager

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.ConfigManager

All Implemented Interfaces:
  java.io.Serializable

public class ConfigManager
extends java.lang.Object
implements java.io.Serializable

Read MIDM config xml

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONFIG_FILE`
`static java.lang.String` | `DEFAULT_LID_HEADER_NAME`
`static java.lang.String` | `DEFAULT_LID_NAME`
`static java.lang.String` | `FIELD_DELIM`
`static java.lang.String` | `LID`
`static java.lang.String` | `LID_HEADER`

Method Summary
`java.util.ArrayList` | `getAllScreenObjects()`
`boolean` | `getAuditLogConfig()`
`java.lang.String` | `getConfigurableQwsValue(java.lang.Object key, java.lang.String defaultValue)` Checks if a key has a value in the mConfigurableQwsValues has map.
`static java.lang.String` | `getDateFormat()` Gets the DATEFORMAT attribute of the ConfigManager class
`static java.lang.String` | `getDateInputMask()` Gets the input mask of date in the ConfigManager class
`static java.lang.String` | `getFieldName(java.lang.String val)` Return the name part of a full name e.g.
`ScreenObject` | `getInitialScreen()` Returns ScreenObject representing the initial screen.
`static ConfigManager` | `getInstance()` Gets the instance attribute of the ConfigManager class To be called after getFirstInstance is called.
`java.lang.String` | `getMasterControllerJndi()`
`ObjectNodeConfig` | `getObjectNodeConfig(java.lang.String objName)`
`org.w3c.dom.Element` | `getPageDefinitionElement()` after reading the CONFIG_FILE in read(InputStream input) element assigned to pageDefElement.
`java.lang.String` | `getReportGeneratorJndi()`
`java.lang.String[]` | `getRootNodeNames()` Getter for all the root node names
`ScreenObject` | `getScreen(java.lang.Integer screenID)` Returns ScreenObject identified by the screenID parameter.
`java.util.HashMap` | `getScreenMap()` Getter for the mScreenMap member.`
`ScreenObject` | `getScreenObjectFromScreenName(java.lang.String midmScreenName)`
`java.lang.String` | `getScreenObjectTagName(java.lang.String screenIdValue)`
`ObjectSensitivePlugIn` | `getSecurityPlugIn()`
`java.lang.String` | `getUserCodeLookupJndi()`
`java.lang.String` | `getValidationServiceJndi()`
`static ConfigManager` | `init()` Gets the instance attribute of the ConfigManager class To be called before getInstance() is called.
`static void` | `main(java.lang.String[] args)` The main program for the ConfigManager class
`void` | `setEuidLength(int euidLength)` Resets the length of the EUID field for all ScreenObjects that have EUID fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE

    public static final java.lang.String CONFIG_FILE

See Also:
  Constant Field Values

### DEFAULT_LID_HEADER_NAME

    public static final java.lang.String DEFAULT_LID_HEADER_NAME

See Also:
  Constant Field Values

### DEFAULT_LID_NAME

    public static final java.lang.String DEFAULT_LID_NAME

See Also:
  Constant Field Values

### FIELD_DELIM

    public static final java.lang.String FIELD_DELIM

See Also:
  Constant Field Values

### LID

    public static final java.lang.String LID

See Also:
  Constant Field Values

### LID_HEADER

    public static final java.lang.String LID_HEADER

See Also:
  Constant Field Values

Method Detail

### getAllScreenObjects

    public java.util.ArrayList getAllScreenObjects()
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAuditLogConfig

    public boolean getAuditLogConfig()

  Returns:
    the audit log config obj

### getConfigurableQwsValue

    public java.lang.String getConfigurableQwsValue(java.lang.Object key,
                                                    java.lang.String defaultValue)

  Checks if a key has a value in the mConfigurableQwsValues has map. If so, then return it. Otherwise, return defaultValue;

  Parameters:
    `defaultValue` - Default value to use if a key does not have a value in the mConfigurableQwsValues hash map.
  Returns:
    configurable value if available, defaultValue otherwise.

### getDateFormat

    public static java.lang.String getDateFormat()

  Gets the DATEFORMAT attribute of the ConfigManager class

  Returns:
    the date format defined in object definition

### getDateInputMask

    public static java.lang.String getDateInputMask()

  Gets the input mask of date in the ConfigManager class

  Returns:
    the input mask of date based on the date format

### getFieldName

    public static java.lang.String getFieldName(java.lang.String val)

  Return the name part of a full name e.g. Person.FirstName -> FirstName

  Parameters:
    `val` - name/full name
  Returns:
    fieldname

### getInitialScreen

    public ScreenObject getInitialScreen()
                                  throws java.lang.Exception

  Returns ScreenObject representing the initial screen.

  Returns:
    ScreenObject representing the initial screen.
  Throws:
    `java.lang.Exception` - if an error occurs

### getInstance

    public static ConfigManager getInstance()

  Gets the instance attribute of the ConfigManager class To be called after getFirstInstance is called.

  Returns:
    The instance value

### getMasterControllerJndi

    public java.lang.String getMasterControllerJndi()

  Returns:
    the jndi name for the master controller

### getObjectNodeConfig

    public ObjectNodeConfig getObjectNodeConfig(java.lang.String objName)

  Parameters:
    `objName` - the name of the object
  Returns:
    object node config keyed by obj name

### getPageDefinitionElement

    public org.w3c.dom.Element getPageDefinitionElement()

  after reading the CONFIG_FILE in read(InputStream input) element assigned to pageDefElement. This method simply returns pageDefElement.

### getReportGeneratorJndi

    public java.lang.String getReportGeneratorJndi()

  Returns:
    the jndi name for the report generator

### getRootNodeNames

    public java.lang.String[] getRootNodeNames()

  Getter for all the root node names

  Returns:
    root node names

### getScreen

    public ScreenObject getScreen(java.lang.Integer screenID)
                           throws java.lang.Exception

  Returns ScreenObject identified by the screenID parameter.

  Parameters:
    `screenID` - identifying a ScreenObject.
  Throws:
    `java.lang.Exception` - if an error occurs

### getScreenMap

    public java.util.HashMap getScreenMap()

  Getter for the mScreenMap member.`

  Returns:
    value of the mScreenMap mamber.

### getScreenObjectFromScreenName

    public ScreenObject getScreenObjectFromScreenName(java.lang.String midmScreenName)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getScreenObjectTagName

    public java.lang.String getScreenObjectTagName(java.lang.String screenIdValue)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSecurityPlugIn

    public ObjectSensitivePlugIn getSecurityPlugIn()

  Returns:
    the handle to the security plug-in object

### getUserCodeLookupJndi

    public java.lang.String getUserCodeLookupJndi()

  Returns:
    the jndi name for the user code lookup service

### getValidationServiceJndi

    public java.lang.String getValidationServiceJndi()

  Returns:
    the jndi name for the code lookup service

### init

    public static ConfigManager init()
                              throws java.lang.Exception

  Gets the instance attribute of the ConfigManager class To be called before getInstance() is called.

  Returns:
    The instance value
  Throws:
    `java.lang.Exception` - if obtaining/initializing the instance failed

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The main program for the ConfigManager class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception`

### setEuidLength

    public void setEuidLength(int euidLength)
                       throws java.lang.Exception

  Resets the length of the EUID field for all ScreenObjects that have EUID fields. Once a connection has been established with the MasterController, these ScreenObjects must be modified so that all EUID fields will have their field lengths set to the correct length as indicated by the MasterController.

  Parameters:
    `euidLength` - This is the correct length of the EUID fields.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.